package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.MsgAccountMapper;
import com.sa.ibiz.demo.demo.domain.MsgAccount;
import com.sa.ibiz.demo.demo.service.MsgAccountService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.MsgAccountSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[MsgAccount] 服务对象接口实现
 */
@Service
public class MsgAccountServiceImpl extends ServiceImplBase<MsgAccountMapper, MsgAccount> implements MsgAccountService{


    @Resource
    private MsgAccountMapper msgaccountMapper;


    @Override
    public boolean create(MsgAccount et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(MsgAccount et){
        this.beforeUpdate(et);
		this.msgaccountMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(MsgAccount et){
		return et.getMsgaccountid();  
    }

    @Override
    public boolean getDraft(MsgAccount et)  {
            return true;
    }

	public List<MsgAccount> listDefault(MsgAccountSearchFilter filter) {
		return msgaccountMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<MsgAccount> searchDefault(MsgAccountSearchFilter filter) {
		return msgaccountMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return msgaccountMapper.selectRow(sql);
    }

 }